For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a simulation case
      • GETList simulation cases
      • GETGet a simulation case
      • PUTUpdate a simulation case
      • DELDelete a simulation case
      • POSTGenerate test cases
      • GETList simulation cases by agent
      • POSTCreate a simulation suite
      • GETList simulation suites
      • GETGet a simulation suite
      • PUTUpdate a simulation suite
      • DELDelete a simulation suite
      • POSTExecute a simulation suite
      • POSTCreate a simulation scenario
      • GETList simulation scenarios
      • GETGet a simulation scenario
      • PUTUpdate a simulation scenario
      • DELDelete a simulation scenario
      • POSTStart a simulation
      • GETList simulation sessions
      • GETGet a simulation session
      • GETList simulations
      • GETGet a simulation
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APISimulations

Update a simulation suite

||View as Markdown|
PUT
/simulation_suites/:suite_id
PUT
/v2/simulation_suites/:suite_id
$curl -X PUT https://api.synthflow.ai/v2/simulation_suites/9ad09ad3-9c22-441e-ae35-c05016a09786 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Updated Sales Agent Test Suite"
>}'
1{
2 "status": "ok",
3 "response": {
4 "simulation_suite": {
5 "id": "9ad09ad3-9c22-441e-ae35-c05016a09786"
6 }
7 }
8}
Update an existing simulation suite.
Was this page helpful?
Previous

Delete a simulation suite

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

suite_idstringRequired
Simulation suite ID.

Request

This endpoint expects an object.
namestring or nullOptional
New name for the simulation suite
model_idstring or nullOptional
New agent model ID for the suite

Response

200
statusstring
Whether the request was successful.
responseobject

Errors

400
Bad Request Error
404
Not Found Error